post
https://api.exponea.com/data/v2/projects//imports//start
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Definition
Authorization
Use the following authorization access and permissions for this API call:
- Access type: Private access
- Permissions needed: Imports > Allow trigger imports
Learn more about:
Path parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| projectToken | string | The ID of your project. | Required |
| import_id | string | The ID of an existing import in your project. | Required |
Body parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| path | string | URL, GCS, or SFTP path to override. This doesn't modify the import definition—the path is overridden just for this run of the import. | No |
| test_connection | boolean | Skips the import source connection checking to avoid timeouts. Note that imports can fail to execute later because the source wasn't checked. Default = true. | No |
Header
| Parameter | Type | Description | Required |
|---|---|---|---|
| authorization | string | Used for authentication. | Required |
| content-type | string | application/json If you're sending this request without a body, don't include content-type: application/json in the header. Including it results in Error 400. | Required if body isn't empty |
Limitations
The following restrictions apply to this endpoint:
- Import type compatibility: This endpoint supports customers, events, vouchers, and legacy catalogs only. It doesn't support item collections, Snowflake imports, or Databricks imports.
- You can't trigger Copy & Paste and Upload imports from this route.
- You can't trigger imports created and managed through the Imports Management API
(/imports/v1). These imports have run restrictions and must use the/imports/v1/{project_id}/{import_id}/runendpoint instead.
